{ config, lib, modulesPath, pkgs, ... }:

{
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    kernelModules = [ "kvm-intel" ];
    extraModulePackages = [ ];
    initrd = {
      availableKernelModules = [ "ahci" "ehci_pci" "sd_mod" "usb_storage" "usbhid" "xhci_pci" ];
      kernelModules = [ "dm-snapshot" ];
    };
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/024e31ab-aa98-4070-95be-7980043541ac";
      fsType = "ext4";
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/c5bde64b-c629-438d-a78b-c4341796dae9";
      fsType = "ext2";
    };
  };

  swapDevices = [
    { device = "/dev/disk/by-uuid/78f5277f-a6e5-4297-99cd-d3ea5de5317e"; }
  ];

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
}
